Subject: Re: [6lowapp] Really we need for HTTP on smart devices?

From: Zach Shelby <[email-masked]>
Date: Sun, 1 Nov 2009 22:44:29 +0200

Adriano,

On Oct 30, 2009, at 14:02 , Adriano Pezzuto (apezzuto) wrote:

> Smart objects interact with the Internet as they like (and can) as
> humans do. Humans type on a computer keyboard or play in front of the
> iPhone camera while Things send sensing data or get commands to act on
> the real world. Humans do not have an embedded HTTP server even if the
> results of their actions (i.e. typing on a keyboard and playing in  
> front
> of a camera) are available as Web resources. In the same way, Things  
> do
> not need for an embedded HTTP server. Things interact with the  
> Internet
> using a lightweight protocol while the results of their interaction  
> are
> available on the Web as resources. It is a sort of "information  
> shadow"
> data that Things have on the Web. This data will be collected in a
> suitable manner for the resource-constrained embedded devices and make
> available as Web resource with HTTP and REST interfaces.

This is basically what the current proposed charter is saying. Model  
the embedded device features as resources, and make them available to  
the HTTP world via REST interfaces. I do see the value of bringing the  
REST features down to the devices themselves, in fact that is a very  
useful paradigm and would allow for a transparent integration with the  
web and the re-use of well-known design paradigms. This is one lesson  
learned when realizing the SENSEI project, see:

http://tools.ietf.org/html/draft-gold-6lowapp-sensei-00

Zach

>
> What do you think about it?
>
> Regards,
> Adriano
>
>
> _______________________________________________
> 6lowapp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowapp

-- 
http://www.sensinode.com
http://zachshelby.org - My blog “On the Internet of Things”
Mobile: +358 40 7796297

Zach Shelby
Head of Research
Sensinode Ltd.
Kidekuja 2
88610 Vuokatti, FINLAND

This e-mail and all attached material are confidential and may contain  
legally privileged information. If you are not the intended recipient,  
please contact the sender and delete the e-mail from your system  
without producing, distributing or retaining copies thereof.